(function() {
	tinymce.create('tinymce.plugins.MyButtons', {
		init : function(ed, url) {
			//ショートコード
          ed.addButton( 'dr', {
            title: 'ダブルレクタングル',
            image : url + '/dr.png',
            cmd: 'dr_cmd'
          });

          ed.addCommand( 'dr_cmd', function() {
            var selected_text = ed.selection.getContent(),
                return_text = '[dr]' + selected_text + '[/dr]';
            ed.execCommand( 'mceInsertContent', 0, return_text );
          });
		},
		createControl : function(n, cm) {
			return null;
		},
	});
	/* Start the buttons */
	tinymce.PluginManager.add( 'custom_button_script', tinymce.plugins.MyButtons );
})();